Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1569445 - portrait images incorrectly cropped when used as background
Summary: portrait images incorrectly cropped when used as background
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: xfdesktop
Version: 27
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Mukundan Ragavan
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-04-19 09:48 UTC by Sjoerd Mullender
Modified: 2018-11-30 21:15 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-30 21:15:15 UTC
Type: Bug


Attachments (Terms of Use)
image showing the problem (5.31 MB, image/jpeg)
2018-04-19 09:48 UTC, Sjoerd Mullender
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Xfce 14360 0 None None None 2018-04-26 22:01:24 UTC

Description Sjoerd Mullender 2018-04-19 09:48:12 UTC
Created attachment 1423993 [details]
image showing the problem

Description of problem:
I have several cameras that produce images which at low level are stored in landscape mode but with a flag in the EXIF data telling that they need to be rotated.  When displaying such an image as background, using the "Scaled" style, only the top left part of the photo is displayed.  The image that gets displayed does have the correct aspect ratio, but only part of the photo is shown.

Typical output of the file program for such an image is:
dsc00624.jpg: JPEG image data, Exif standard: [TIFF image data, little-endian, direntries=13, description=                               , manufacturer=SONY, model=SLT-A77V, orientation=lower-left, xresolution=218, yresolution=226, resolutionunit=2, software=SLT-A77V v1.07, datetime=2016:08:20 14:41:12, GPS-Data], baseline, precision 8, 6000x4000, frames 3

Notice that it says "orientation=lower-left" which indicates that the image needs to be rotated (unrotated would be "upper-left") and "6000x4000" which gives the low-level size of the image.

Other programs, such as ristretto, display the image correctly (i.e. in portrait mode and uncropped).

Also note that other display styles also produce weird results.

Version-Release number of selected component (if applicable):
xfdesktop-4.12.4-1.fc26.x86_64 (on Fedora 26)
xfdesktop-4.12.4-3.fc27.x86_64 (on Fedora 27)

How reproducible:
100%

Steps to Reproduce:
1.use attached image as background
2.
3.

Actual results:
Correct apspect ration of image, but cropped to top-left part.

Expected results:
Full image, scaled to fit the display.

Additional info:

Comment 1 Mukundan Ragavan 2018-04-20 00:19:16 UTC
Hmmm ... I can reproduce this. In my hands, it looks like the bottom left is cut off. I can only see half fish.

However, I think this would need to be solved upstream.

Will you be able to file this upstream at bugzilla.xfce.org or would you prefer that I do?

If I were to file the bug report, can I use the attached image in the upstream bug report as well?

Comment 2 Sjoerd Mullender 2018-04-20 07:32:19 UTC
(In reply to Mukundan Ragavan from comment #1)
> Will you be able to file this upstream at bugzilla.xfce.org or would you
> prefer that I do?

Can you do it?  I don't have an account there.  (Although I'm sure it's easy to get.)

> If I were to file the bug report, can I use the attached image in the
> upstream bug report as well?

Yes, you can.

Comment 3 Mukundan Ragavan 2018-04-22 00:03:35 UTC
(In reply to Sjoerd Mullender from comment #2)
> (In reply to Mukundan Ragavan from comment #1)
> > Will you be able to file this upstream at bugzilla.xfce.org or would you
> > prefer that I do?
> 
> Can you do it?  I don't have an account there.  (Although I'm sure it's easy
> to get.)
> 

I will file and this and link the report here.

Comment 4 Ben Cotton 2018-11-27 16:01:00 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 5 Ben Cotton 2018-11-30 21:15:15 UTC
Fedora 27 changed to end-of-life (EOL) status on 2018-11-30. Fedora 27 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.